// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes;
import org.apache.log4j.Category;

/**
 ** @author Nelson Minar &lt;nelson@monkey.org&gt;
 **/

import org.apache.lucene.index.IndexWriter;
import org.apache.lucene.document.Document;

import java.io.*;
import javax.mail.*;
import javax.mail.internet.*;
import java.util.*;

public class Index extends Object {
    public static Category L = Category.getInstance(Index.class.getName());

    static IndexWriter writer;
    
    public static void main(String[] args) throws Exception {
        writer = new IndexWriter("build/index", Schema.makeAnalyzer(), true);
        for (int i = 0; i < args.length; i++) {
            System.out.println("Indexing " + args[i]);
            indexDocs(args[i]);
        }
        writer.optimize();
        writer.close();
        System.out.println(writer.docCount() + " articles indexed.");
    }

    public static void indexDocs(String filename) throws Exception {
        // Fake out javamail and the knife mbox provider to open our file.
        System.setProperty("mail.mbox.userhome", ".");
        Session session = Session.getDefaultInstance(new Properties());
        Store store = session.getStore("mbox");
        Folder folder = store.getFolder(filename);

        // Open the folder
        folder.open(Folder.READ_ONLY);

        // Iterate through all the messages, trying to add them.
        Message [] messages = folder.getMessages();
        for (int i = 0; i < messages.length; i++) {
            // Each message has a char code indicating how it was indexed.
            char c = addMessage(messages[i]);
            System.out.print(c);
            System.out.flush();
        }
        System.out.println();
    }

    /** Given a JavaMail message, create a Document and add it. **/
    protected static char addMessage(Message m) throws IOException, MessagingException {
        ParsedMessage pm = new ParsedMessage(m);
        if (pm.getStatus() == ParsedMessage.STATUS_OK)
            writer.addDocument(pm.getDocument());
        return pm.getStatus();
    }
}


