// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes.stubmail;

import javax.mail.*;

/** Stub JavaMail "folder" class that implements no functionality.
 ** Used to create StubMessages.
 **
 ** @author Nelson Minar &lt;nelson@monkey.org&gt;
 **/
public class StubFolder extends Folder {
    private static final UnsupportedOperationException error = new UnsupportedOperationException("StubFolder does not implement folder semantics.");
    
    public StubFolder(Store s) {
        super(s);
    }

    public void appendMessages(Message[] msgs) { throw error; }
    public void close(boolean expunge) { throw error; }
    public boolean create(int type) { throw error; }
    public boolean delete(boolean recursive) { throw error; }
    public boolean exists() { throw error; }
    public Message [] expunge() { throw error; }
    public Folder getFolder(String name) { throw error; }
    public String getFullName() { throw error; }
    public Message getMessage(int num) { throw error; }
    public int getMessageCount() { throw error; } 
    public String getName() { throw error; }
    public Folder getParent() { throw error; }
    public Flags getPermanentFlags() { throw error; }
    public char getSeparator() { throw error; }
    public int getType() { throw error; }
    public boolean hasNewMessages() { throw error; }
    public boolean isOpen() { throw error; }
    public Folder [] list(String pattern) { throw error; }
    public void open(int mode) { throw error; }
    public boolean renameTo(Folder f) { throw error; }
}
