// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes.stubmail;

import javax.mail.*;

/** Stub JavaMail "store" class that implements no functionality.
 ** Used to help create StubFolders and StubMessages. 
 **
 ** @author Nelson Minar &lt;nelson@monkey.org&gt;
 **/
public class StubStore extends Store {
    public StubStore(Session session, URLName urlname) {
      super(session, urlname);
    }

    public Folder getDefaultFolder() { return new StubFolder(this); }
    public Folder getFolder(String name) { return new StubFolder(this); }
    public Folder getFolder(URLName url) { return new StubFolder(this); }
}
