// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes.stubmail.test;
import junit.framework.*;
import java.io.*;
import javax.mail.*;
import org.monkey.nelson.funes.stubmail.StubMessage;
import org.monkey.nelson.funes.test.Messages;

public class StubMessageTest extends TestCase {
    public StubMessageTest(String name) { super(name); }
    public static Test suite() { return new TestSuite(StubMessageTest.class); }
    
    public void testGoodMessage() throws Exception {
        Message m = new StubMessage(new ByteArrayInputStream(Messages.simpleMessage.getBytes()));
        assertEquals(StubMessage.class, m.getClass());
        assertEquals("short test message", m.getSubject());
    }

    // Would be nice to test a badly formed message, but the contract on
    // exceptions from Javamail is really unclear.
}
