// Funes. Copyright (c) 2001, Nelson Minar <nelson@monkey.org>
// All rights reserved. Distributed with no warranty, without even the
// implied warranty of merchantability or fitness for a particular purpose.
// For more details see COPYING.GPL, the GNU General Public License.

package org.monkey.nelson.funes.test;
import junit.framework.*;
import org.monkey.nelson.funes.*;

public class SearchTest extends TestCase {
    public SearchTest(String name) { super(name); }
    public static Test suite() { return new TestSuite(SearchTest.class); }

    public void testMakeQueryString() throws Exception {
        assertEquals("foo bar  baz", Search.makeQueryString(new String [] {"foo", "bar", " baz"}));
        assertEquals("foo bar", Search.makeQueryString(new String [] {"foo", "bar"}));
        assertEquals("foo", Search.makeQueryString(new String[] { "foo" } ));
        try {
            Search.makeQueryString(new String [] { });
            fail("Should have thrown an illegal argument exception");
        } catch (IllegalArgumentException iae) {
        }
    }
}
